Package org.apache.qpid.proton.amqp.transport

# Interface DeliveryState

All Known Implementing Classes:
  `Accepted`, `Declared`, `Modified`, `Received`, `Rejected`, `Released`, `TransactionalState`

public interface DeliveryState
Describes the state of a delivery at a link end-point. Note that the the sender is the owner of the state. The receiver merely influences the state. TODO clarify the concept of ownership? how is link recovery involved?

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`DeliveryState.DeliveryStateType`

## Method Summary

Modifier and Type
Method
Description
`DeliveryState.DeliveryStateType`
`getType()`

## Method Details

### getType

DeliveryState.DeliveryStateType getType()

Returns:
  the `DeliveryState.DeliveryStateType` that this instance represents.